# Init payment

Operation for the initiation of a payment using an APMs, performs order creation and prepares the transaction for payment, allowing the customer to proceed with the payment process.

Endpoint: POST /init-payment
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)
    Unique public key provided upon registration and must be shared for identification purposes.
    Example: "api_pk_7b197...ba108f842"

  - `signature` (string, required)
    Request signature that allows verification of merchant authenticity on the payment gateway server.
    Example: "M2E3OTkyNzcz...xMmExODI4"

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - Success:
      - `order` (object) — one of (discriminator: method):
        Details of an order, including identifiers, timestamps, amounts, status, and customer data.

  Order's structure may vary depending on the alternative payment method method used.
        - paypal-vault:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.

                
  For COP, CRC, HUF, LAK, RSD, and TWD, should pass the integer value of the amount with two zeros at the end (for example, XXXX00, which will be transferred as XXXX.00). The value 0 is valid only for obtaining a billing agreement token (recurring-token).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: "created", "processing", "approved", "declined", "refunded"
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - alipay:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.

                
  For CNY currency, the amount is in cents (e.g., 8900 = 89.00 CNY).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - blik:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "PLN"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

              
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - bizum:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.

                
  For EUR currency, the amount is in cents (e.g., 400 = 4.00 EUR).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - boleto:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "BRL"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identidier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - efecty:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "COP"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

                
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - gcash:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.

                
  For PHP currency, the amount is in cents, for example, 2575 = 25.75 PHP.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - ideal:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "EUR"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: "created", "processing", "settle_pending", "approved", "declined", "refunded"
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

                
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - mbway:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "ideal" (1 values)
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - mercadopago:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "ARS", "BRL", "CLP", "COP", "MXN", "PEN", "UYU"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

                
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - multibanco:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.


  For EUR currency, the amount is in cents (e.g., 2490 = 24.90 EUR).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.


  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - openbanking:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "EUR", "GBP"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "ideal" (6 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - oxxo:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "MXN"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - pix:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "boleto" (1 values)
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - pix-qr:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "boleto" (1 values)
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - pix-automatico:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "boleto" (1 values)
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `token` (string)
            Mandate or stored credential token for subsequent scheduled charges.


  Present on recurring flows after the customer has authorized the mandate. Use it with the recurring endpoint.
          - `customer_email` (string)
            Customer's email address.
          - `customer_first_name` (string)
            Customer's first name.
          - `customer_last_name` (string)
            Customer's last name.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.


  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - przelewy24:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "blik" (1 values)
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

                
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - pse:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "efecty" (1 values)
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

                
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - sencillito:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "CLP"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - servipag:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "sencillito" (1 values)
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

                
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - upi:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: "INR"
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - webpay:
          - `order_id` (string)
            Unique order identifier defined by the merchant, which can be used to find the payment.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "sencillito" (1 values)
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

      
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
        - wechatpay:
          - `order_id` (string)
            Unique order identifier, which can be used to find the payment.


  For the first payment, the identifier is defined by the merchant.
  For recurring subscription-based payments, it is generated by the Solidgate subscription service.
          - `created_at` (string)
            Datetime when the order was created.
          - `updated_at` (string)
            Datetime when the order was updated.
          - `amount` (integer)
            Order amount in the smallest currency unit supported by the alternative payment method.

                
  For CNY currency, the amount is in cents (e.g., 8900 = 89.00 CNY).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `order_description` (string)
            Brief order description.
          - `status` (string)
            Status of the requested order.
            Enum: same as `status` in "paypal-vault" (5 values)
          - `customer_account_id` (string)
            Unique customer identifier defined by the merchant.
          - `customer_email` (string)
            Customer's email address.
          - `ip_address` (string)
            Public IP address of the cardholder, both IPv4 and IPv6 are supported.

               
  Required for antifraud checks. For recurring payments, use the last session or registration IP.
  Private IPs (10.0.0.0-10.255.255.255, 172.16.0.0-172.31.255.255, 192.168.0.0-192.168.255.255) will result in an 'Invalid IP' error.
      - `order.method` (string)
      - `transactions` (array) — one of (discriminator: method):
        Details of transactions, including payment method, identifiers, amounts, currencies, statuses, and types.

  Transaction's structure may vary depending on the alternative payment method method used.
        - paypal-vault:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.

                
  For COP, CRC, HUF, LAK, RSD, and TWD, should pass the integer value of the amount with two zeros at the end (for example, XXXX00, which will be transferred as XXXX.00). The value 0 is valid only for obtaining a billing agreement token (recurring-token).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `status` (string)
            Status of the transaction.
            Enum: "created", "processing", "success", "fail"
          - `type` (string)
            Type of the transaction.
            Enum: "pay", "recurring", "refund"
          - `payer_details` (object)
            Details of the payer for transactions conducted through APMs.


  It provides essential information such as the payer's email and the invoice identifier, both of which are specifically applicable to transactions conducted with the PayPal paypal-vault method.
          - `payer_details.invoice_id` (string)
            Unique invoice identifier provided by PayPal.


  Should be provided only for the transactions with paypal-vault method.
          - `payer_details.payer_email` (string)
            Payer's email.


  Should be provided only for the transactions with paypal-vault method.
        - alipay:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.

                
  For CNY currency, the amount is in cents (e.g., 8900 = 89.00 CNY).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - blik:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "blik" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - bizum:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.

                
  For EUR currency, the amount is in cents (e.g., 400 = 4.00 EUR).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - boleto:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "boleto" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - efecty:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "efecty" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - gcash:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.

                
  For PHP currency, the amount is in cents (e.g., 2575 = 25.75 PHP).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - ideal:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "ideal" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: "created", "processing", "settle_pending", "success", "fail"
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - mbway:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "ideal" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - mercadopago:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "mercadopago" (7 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - multibanco:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.


  For EUR currency, the amount is in cents (e.g., 2490 = 24.90 EUR).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: "pay", "refund"
        - openbanking:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "openbanking" (2 values)
          - `status` (string)
            Status of the transaction.
            Enum: "created", "settle_pending", "processing", "success", "fail"
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - oxxo:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "oxxo" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - pix:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "boleto" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - pix-qr:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "boleto" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - pix-automatico:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "boleto" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.


  pay for the initial mandate or a one-off charge. recurring for subsequent scheduled charges using a stored token.
            Enum: same as `type` in "paypal-vault" (3 values)
        - przelewy24:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "blik" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - pse:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "efecty" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - sencillito:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "sencillito" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - servipag:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "sencillito" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - upi:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "upi" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - webpay:
          - `id` (string)
            Unique transaction identifier.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
            Enum: same as `currency` in "sencillito" (1 values)
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
        - wechatpay:
          - `id` (string)
            Unique identifier associated with a transaction.
          - `created_at` (string)
            Datetime when the transaction was created.
          - `amount` (integer)
            Transaction amount in the smallest currency unit supported by the alternative payment method.

                
  For CNY currency, the amount is in cents (e.g., 8900 = 89.00 CNY).
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `status` (string)
            Status of the transaction.
            Enum: same as `status` in "paypal-vault" (4 values)
          - `type` (string)
            Type of the transaction.
            Enum: same as `type` in "paypal-vault" (3 values)
      - `transactions.method` (string, required)
        Payment method used for the transaction.
      - `pay_form` (object)
        Payment form data.


  Including fields necessary for processing the payment.
      - `pay_form.return_url` (string)
        URL for browser redirect after a payment process.
      - `pay_form.script_url` (string)
        URL of the JavaScript file needed to display the PayPal button is required for integration, initialization, configuration.
      - `pay_form.token` (string)
        Secure payment token representing sensitive payment method information.


  Token received on the first payment, which should be used for subsequent payments.
      - `payment_type_data` (any) — one of:
        Additional data required to make payments with the specific alternative payment methods.


  This object is specifically for Boleto, Multibanco (24-hour reference validity), Pix QR, and Pix Automático initial mandate responses with QR payload and expiry.
        - Boleto:
          - `amount` (number)
            Amount in the smallest currency unit supported by the alternative payment method.


  Should be provided in the currency of the transaction.
          - `currency` (string)
            Three-letter ISO-4217 currency code.
          - `expiration_date` (string)
            Expiration date.
          - `image_url` (string)
            URL of the image representing the full boleto method details.


  This provides a visual reference for the user.
          - `number` (string)
            Ticket number.


  Long number customers enter in their bank app or website to complete the payment.
          - `type` (string)
            Payment method type.


  This specifies the category of the alternative payment method being used.
        - Multibanco:
          - `type` (string)
            Payment method type.


  This specifies the category of the alternative payment method being used.
            Enum: "multibanco"
          - `entity` (string)
            Five-digit entity code identifying the merchant for Multibanco payments.


  Customers use this code together with the payment reference at an ATM or home banking.
          - `reference` (string)
            Nine-digit payment reference number.


  Customers enter this reference together with the entity code to complete the payment.
          - `reference_expiration` (string)
            ISO 8601 datetime when the Multibanco payment reference expires.


  The voucher is active for 24 hours from issuance.
        - Pix QR:
          - `qr_code_value` (string)
            Value used to render a QR code or for customers to copy and paste into a Pix app.
          - `qr_code_expiration_date` (string)
            Expiration date of the QR code.
        - Pix Automático:
          - `qr_code_value` (string)
            EMV payload for the customer to scan or copy into a Pix app.
          - `qr_code_expiration_date` (string)
            Expiration datetime of the QR code, usually within one hour after issuance.
      - `order_metadata` (object)
        Metadata is useful for storing additional, structured information about an object.
    - Authentication failed:
      - `error` (object, required)
        Error object.
      - `error.code` (string, required)
        Unauthorized access due to invalid credentials.
        Example: "1.01"
      - `error.messages` (array, required)
        Array of error messages applied to the decline payment.
        Example: ["Authentication failed"]
    - Error:
      - `error` (object, required) — one of (discriminator: code):
        Error object.
        - 2.01 Invalid data:
          - `messages` (array, required)
            Array containing messages that specify why the payment was declined due to validation errors.


  These messages can range from an incorrect card number to an invalid security code or billing address.
            Example: ["Invalid data"]
        - 2.01 Order not found:
          - `messages` (object, required)
            Object containing key-value pairs that clarify the reason for the payment decline, particularly in cases where the requested order does not exist.
        - 2.04 Card brand is not supported:
          - `messages` (array, required)
            Array containing messages that specify why the payment was declined due to unsupported card brand for incremental authorization.


  Supported card brands include American Express (Amex), Cartes Bancaires, Diners, Discover, JCB, Mastercard, Mexico Domestic (Network MX) and Visa.
            Example: ["Card brand is not supported"]
        - X.XX:
          - `messages` (array, required)
            Array containing either strings or objects that provide details about the error or status.


  When it is an array of strings, each string describes a separate issue. When it is an object, the object will contain key-value pairs explaining the issue in more detail.
          - `recommended_message_for_user` (string)
            Message with recommended next steps or additional information.
            Example: "The user’s card balance has insufficient funds."
      - `error.code` (string)
        Gateway error code for the declined payment.


